xsoldier (1:1.8-6.2) unstable; urgency=medium

  * Non-Maintainer Upload
  * Use tmpfiles to setgid /usr/games/xsoldier
  * Replace FSF postal address with a reference to
    https://www.gnu.org/licenses/.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 08 Jun 2026 15:37:36 +0200

xsoldier (1:1.8-6.1) unstable; urgency=medium

  * Non-Maintainer Upload
  * Use dh-cruft to register & purge /var/games/xsoldier/
  * Rewrite d/rules with newer & shorter syntax
  * Switch to debhelper-compat 13
  * Drop old Debian menu entry, there is a .desktop file
  * Rename files in debian/ for debhelper 14/15 compatibility
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.4, drop Priority: tag

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Name in debian/copyright.
  * Drop unnecessary dependency on dh-autoreconf.
  * Use canonical URL in Vcs-Browser.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 03 May 2026 23:19:17 +0200

xsoldier (1:1.8-6) unstable; urgency=medium

  [ Sebastien CHAVAUX ]
  * New maintainer. (Closes: #738879)

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Mon, 25 Feb 2019 18:30:35 +0100

xsoldier (1:1.8-5) unstable; urgency=medium

  * QA upload.
  * Move the Vcs to Salsa.
  * Compat 11.
  * Rules-Requires-Root: yes.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 01 Mar 2018 01:36:53 +0100

xsoldier (1:1.8-4) unstable; urgency=low

  * QA upload
  * d/control: Add Vcs- fields to collab-maint
  * d/copyright: Move to DEP-5 format. Add packager information. Update
    Yuusuke Hashimoto mail address.
  * d/rules:
    - Use dh $@ automatic layout.
    - Use --with autoreconf, drop --build --host in configure.
  * Remove dh_installdocs parameter, use a plain d/docs file.
  * Remove install cp from d/rules, use a plain d/install file.
  * Bump compat level to 9:
    - Update d/compat.
    - Remove manual hardening from d/rules.
    - Build-Depends: Bump dpkg, drop dpkg-dev.
  * Add all hardening in d/rules.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Wed, 26 Nov 2014 13:31:28 +0100

xsoldier (1:1.8-3) unstable; urgency=low

  * QA upload:
    - Change maintainer of orphaned package to Debian QA.
  * Added desktop file (Closes: #738084)
  * Bumped standards version to 3.9.6: No change required.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Fri, 14 Nov 2014 22:25:34 +0100

xsoldier (1:1.8-2) unstable; urgency=low

  * debian/rules: set ./configure options with
    dpkg-buildflags --export=configure
  * debian/control: added Build-Depends: dpkg-dev (>= 1.16.1) because
    this package uses dpkg-buildflags
  * debian/patches/bad-sprintf.diff: new file, fixes insecure sprintf()
    in manage.c
  * debian/patches/array-size-calculation.diff: new file, replaces
    sizeof(array) with sizeof(array)/sizeof(array[0]) when the program
    calculates the size of the array

 -- Oohara Yuuma <oohara@debian.org>  Wed, 08 Feb 2012 22:01:40 +0900

xsoldier (1:1.8-1) unstable; urgency=low

  * New upstream release
  * debian/rules, debian/README.Debian: disabled the joystick support
    because it is Linux specific and not maintained (closes: #636808)
  * debian/rules: removed the useless chmod at the end of the build
  * debian/source/format: new file, set the source format to 3.0 (quilt)
  * debian/control, debian/rules: don't copy config.guess and config.sub
    from autotools-dev because they are unnecessary
  * debian/control, debian/compat: set debhelper compatibility level to 8
  * debian/control, debian/rules: use dh-autoreconf to regenerate
    autoconf/automake files
  * debian/control: added Build-Conflicts: autoconf2.13, automake1.4
    just in case
  * debian/postinst: use /bin/sh because this script does not depend on
    bash
  * debian/postinst, debian/postrm: quoted exclamation marks just in case
  * debian/rules: added build-arch and build-indep targets
  * debian/control: set Standards-Version: to 3.9.2

 -- Oohara Yuuma <oohara@debian.org>  Sat, 20 Aug 2011 16:23:26 +0900

xsoldier (1:1.5-2) unstable; urgency=low

  * debian/control, debian/rules: Build-Depends: on autotools-dev because
    the package uses autoconf

 -- Oohara Yuuma <oohara@debian.org>  Fri, 13 Nov 2009 04:43:33 +0900

xsoldier (1:1.5-1) unstable; urgency=low

  * acknowledged NMU except for the following change:
    + debian/postrm: Remove /var/games only if it is not in the control
      of dpkg.  Don't remove /var even if it is empty.
  * new upstream release
  * new upstream release fixes the following bug:
    + make sure that an object never acts at the same frame as it is created
      (Closes: #171581)
  * new maintainer (Closes: #554262)
  * debian/changelog: added the "Old Changelog:" to the entry of version
    1:0.96-8.1 because its date is missing
  * debian/control: uses Homepage: for the upstream URL
  * debian/control: avoids to use the word "I" to satisfy lintian
  * debian/xsoldier.doc-base: set Section: to Games/Action
  * debian/compat: set debhelper compatibility level to 7
  * debian/control: updated versioned dependency on debhelper
  * debian/rules: replaced dh_clean -k with dh_prep
  * debian/prerm: removed because it does nothing
  * debian/control: set Standards-Version: to 3.8.3
  * debian/copyright: refers to /usr/share/common-licenses/GPL-2 rather than
    /usr/share/common-licenses/GPL because its license is "GPL version 2 or
    later"
  *

 -- Oohara Yuuma <oohara@debian.org>  Wed, 11 Nov 2009 21:19:09 +0900

xsoldier (1:1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/watch: Added.
  * debian/rules:
    + Remove DH_COMPAT, now in debian/compat and level 4
    + Replaced deprecated chown call
    + Pass CFLAGS and LDFLAGS to configure script
  * Fix bashism in preinst (Closes: #475635)
  * debian/postrm: also remove /var/games (if empty) on purge (Closes: #333281)
  * debian/control:
    + Bump versioned debhelper version to 4
    + x-dev -> x11proto-core-dev
    + Remove versioned dependency on libsdl-image1.2-dev, satisfied in sarge
    + Added ${misc:Depends}
  * debian/menu: updated to new menu sections policy

 -- Raphael Geissert <atomo64@gmail.com>  Tue, 01 Jul 2008 15:10:20 -0500

xsoldier (1:1.4-1) unstable; urgency=low

  * New upstream release
  * acknowledged NMU (xlibs-dev transition) (closes: #346763)
  * debian/control: removed automake1.7 and autoconf because they are not
    necessary
  * the SDL version of the new upstream release quits if a TERM signal is
    received or if the window is closed (closes: #386181)

 -- Oohara Yuuma <oohara@debian.org>  Sat, 16 Sep 2006 18:36:54 +0900

xsoldier (1:1.3-5.1) unstable; urgency=low

  * Non-maintainer upload for xlibs-dev transition.
  * debian/control: Replace build-dep on xlibs-dev (Closes: #346763)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 16:39:55 +0100

xsoldier (1:1.3-5) unstable; urgency=low

  * debian/xsoldier.xpm: new file, created from pixmap/Boss5.xpm with
    the folloing imagemagick command:
    mogrify -format xpm -geometry 32x32 -map \
      /usr/X11R6/include/X11/pixmaps/cmap.xpm xsoldier.xpm
    Thanks to Mark Purcell <msp@debian.org> for suggestion. (closes: #273454)
  * debian/xsoldier.menu: added an icon

 -- Oohara Yuuma <oohara@debian.org>  Sat,  2 Oct 2004 13:22:09 +0900

xsoldier (1:1.3-4) unstable; urgency=low

  * acknowledged NMU which fixed Build-Depends: (closes: #240160)
  * debian/control: s/automake1.6/automake1.7/ in Build-Depends:

 -- Oohara Yuuma <oohara@debian.org>  Mon, 19 Apr 2004 11:45:26 +0900

xsoldier (1:1.3-3.1) unstable; urgency=low

  * added missing build dependency on xlibs-dev

 -- Alexander Schmehl <alexander@schmehl.info>  Sun, 18 Apr 2004 03:49:16 +0200

xsoldier (1:1.3-3) unstable; urgency=low

  * debian/control: build with new libsdl-image1.2-dev (which uses libpng3)
    and automake1.6

 -- Oohara Yuuma <oohara@debian.org>  Mon, 22 Jul 2002 02:32:58 +0900

xsoldier (1:1.3-2) unstable; urgency=low

  * debian/postinst, debian/prerm: use /bin/bash as the interpreter
    because the dh_installdocs section uses command -v

 -- Oohara Yuuma <oohara@debian.org>  Wed, 19 Jun 2002 01:59:53 +0900

xsoldier (1:1.3-1) unstable; urgency=low

  * new upstream release

 -- Oohara Yuuma <oohara@debian.org>  Sun, 26 May 2002 18:03:43 +0900

xsoldier (1:1.2-3) unstable; urgency=low

  * image.c: fixed image loading so that xsoldier displays the correct
    color on a non-24-bit-per-pixel display (thanks to Stephen McCamant
    <smcc@CSUA.Berkeley.EDU> for the patch) (closes: #145842)
  * debian/control: removed unnecessary paragraph from Description:
  * debian/control: added version condition to Build-Depends: autoconf
    because configure.ac uses AC_PREREQ
  * README: fixed typo

 -- Oohara Yuuma <oohara@debian.org>  Sun,  5 May 2002 14:00:48 +0900

xsoldier (1:1.2-2) unstable; urgency=low

  * configure.ac: does not stop configuring even if --with-sdl is specified
    but AC_CHECK_LIB([SDL], [SDL_Init]) failed (this won't do any harm
    because if there is no SDL then "make" will fail correctly) (I don't
    know why AC_CHECK_LIB fails on a non-i386 architecture (perhaps missing
    -lpthread?)) (closes: #144926)
  * configure: regenerated
  * debian/control: added automake and autoconf to Build-Depends: just
    in case

 -- Oohara Yuuma <oohara@debian.org>  Mon, 29 Apr 2002 10:51:12 +0900

xsoldier (1:1.2-1) unstable; urgency=low

  * new maintainer
  * new upstream release, with new upstream developer (closes: #142548)
  * new upstream release fixed the following bugs:
    - crashing into boss 6 did not destroy the player's ship after the
      boss teleported (closes: #142543)
    - the background of the title scrolled at a wrong speed when you quited
      when "stage cleared" message was displayed (closes: #142544)
    - joystick patch available at the original author's webpage was not
      applied (closes: #142545)
    - damage calculation of weapon 3 was wrong (closes: #142546)
    - EnemyLaserAct() sometimes fell off without calling return, causing
      suicide of boss enemies (closes: #142550)
  * packaging SDL version on RFP (closes: #144259)
  * Splitting a package is a last resort, so let's package only SDL version
    and see how users complain.  Once a package is split, merging it is
    much harder than splitting.  If you don't want to install SDL, grab
    the source code and compile the raw X version by yourself.
  * Moving files to follow the FHS:
    - image data are now in /usr/share, not in /usr/lib (closes: #142547)
    - the score file is now in /var/games/xsoldier/, not in /var/lib/games
  * The default score file is in /usr/share, not in /var (closes: #142549)
  * If you are upgrading from 1:0.96-14 or older, I don't save the old
    score file because:
    - there is no easy way to do so (since the location of the score file
      is changed, there is no secure temporal directory for it during
      an upgrade)
    - the score file is not compatible in a gamer's view (it uses the same
      format but the score was inflated)
  * added doc-base support
  * debian/copyright: reflected the new upstream
  * debian/override: removed because lintian knows about setgid games
  * debian/README.Debian: new file, explaining score file handling

 -- Oohara Yuuma <oohara@debian.org>  Sun, 28 Apr 2002 23:01:55 +0900

xsoldier (1:0.96-14) unstable; urgency=low

  * "q" now quits even if the game isn't paused (closes: #117501)
  * add manpage thanks to Uwe Hermann (closes: #117250, #88312)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  2 Dec 2001 14:41:35 +0000

xsoldier (1:0.96-13) unstable; urgency=low

  * add Build-Depends, removed dh_suidregister call (closes: #80879, #84658)

 -- Adrian Bridgett <bridgett@debian.org>  Sat,  3 Mar 2001 15:05:10 +0000

xsoldier (1:0.96-12) unstable; urgency=high

  * if paused now says game will be resumed, not restarted (closes: #81246)
  * removed brace expansion from debian/rules (closes: #81276)

 -- Adrian Bridgett <bridgett@debian.org>  Sun,  4 Feb 2001 18:13:05 +0000

xsoldier (1:0.96-11) unstable; urgency=high

  * fix GPL location
  * add lintian override for executable permissions

 -- Adrian Bridgett <bridgett@debian.org>  Sat, 23 Dec 2000 18:22:07 +0000

xsoldier (1:0.96-10) unstable; urgency=high

  * use correct fix from Jim Studt <jim@federated.com>.  Doh!
  * added Jim's entry into changelog. This upload needed to stop
    my out-by-one fix overriding Jim's

 -- Adrian Bridgett <bridgett@debian.org>  Mon, 20 Dec 1999 18:28:37 +0000

xsoldier (1:0.96-9) unstable; urgency=high

  * security fix (closes: #52962). Thanks to Wichert Akkerman for
    forwarding this from Brock Tellier.
  * FHS

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 19 Dec 1999 20:07:46 +0000

Old Changelog:
xsoldier (1:0.96-8.1) unstable; urgency=low

  * fix several strcpy related overflows (closes 52962)
  * adjust debian/rules for /usr/share/doc
  * alter debian/rules so 'clean' target works on fresh source

 -- Jim Studt <jim@federated.com>

xsoldier (1:0.96-8) unstable; urgency=low

  * add author's name to copyright (closes 30860)
  * menu-item-uses-icon-none fix

 -- Adrian Bridgett <bridgett@debian.org>  Sun, 20 Dec 1998 15:25:36 +0000

xsoldier (1:0.96-7) unstable; urgency=low

  * don't build using /usr/games (closes 25054)
  * stop using dh_installdebfiles (deprecated debhelper command)

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Mon, 31 Aug 1998 22:26:31 +0100

xsoldier (1:0.96-6) unstable; urgency=low

  * handle high-score file correctly (it is now no longer a conffile)
  * move (undocumented) manpage to /usr/man/man6

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun,  1 Mar 1998 19:46:15 +0000

xsoldier (1:0.96-5) unstable; urgency=low

  * fixes for lintian:
  * added link to undocumented manpage
  * now refers to uncompressed GPL
  * .xpm files installed rw-r--r--

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Thu, 12 Feb 1998 20:26:44 +0000

xsoldier (1:0.96-4) unstable; urgency=low

  * moved from x11 section to games

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue, 14 Oct 1997 18:44:48 +0000

xsoldier (0.96-3) unstable; urgency=low

  * compiled with xlib6g and xpm4g [#12708,#12964]
  * now uses debhelper

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Sun, 14 Sep 1997 18:04:59 +0000

xsoldier (0.96-2) unstable; urgency=low

  * copyright file now contains source and license details

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Thu, 21 Aug 1997 15:20:46 +0100

xsoldier (0.96-1) unstable; urgency=low

  * Initial Release.

 -- Adrian Bridgett <adrian.bridgett@poboxes.com>  Tue,  1 Jul 1997 16:05:37 +0100
